Page MenuHomePhabricator

Wikipedia Portal survey: banner
Closed, ResolvedPublic

Description

This task is to implement the banner that we'll need to have visitors to the portal click into the Qualtrics survey.

There is one button to go to the survey: https://wikimedia.qualtrics.com/SE/?SID=SV_bfTx7KXJbi0ulxj

and two links:

Wikipedia privacy statement https://www.wikimediafoundation.org/wiki/Wikipedia_Portal_Survey_Privacy_Statement

and

Qualtrics Privacy statement: https://www.qualtrics.com/privacy-statement/

Note: both privacy links should open up in a new tab in the visitor's browser.

We will put this banner in front of 1 in every 500 visitors to the site, using the existing EventLogging testing code logic.

Event Timeline

debt created this task.May 5 2016, 6:01 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 5 2016, 6:01 PM
debt updated the task description. (Show Details)May 5 2016, 6:09 PM
debt updated the task description. (Show Details)May 6 2016, 1:11 PM

Just to loop @mpopov in on this. We plan on showing this survey banner to 1 in 500 users. If some of these users fall into our 'baseline' event-logging bucket, their landing event will be logged, but their clickthrough on the banner won't be. This is because we don't have a 'survey-banner' clickthrough group in our schema.

In reality this shouldn't effect our dashboard analytics much, because the survey will only be live for ~24 hours, and we hope to get about 5-10k responses in that time.

However, if we want to avoid any anomalies to our dashboarding data, we could show this banner only to users in the 'rejected' event-logging group, so that they don't influence the dashboarding stats.

Does that sound like a good idea?

Change 287947 had a related patch set uploaded (by Jdrewniak):
T134512 adding survey banner to wikipedia.org portal.

https://gerrit.wikimedia.org/r/287947

debt updated the task description. (Show Details)May 10 2016, 4:12 PM
debt added a comment.May 10 2016, 4:16 PM

updating the banner image in the description to add in the word 'statement' and format it to be right aligned and on two lines.

Just to loop @mpopov in on this. We plan on showing this survey banner to 1 in 500 users. If some of these users fall into our 'baseline' event-logging bucket, their landing event will be logged, but their clickthrough on the banner won't be. This is because we don't have a 'survey-banner' clickthrough group in our schema.
In reality this shouldn't effect our dashboard analytics much, because the survey will only be live for ~24 hours, and we hope to get about 5-10k responses in that time.
However, if we want to avoid any anomalies to our dashboarding data, we could show this banner only to users in the 'rejected' event-logging group, so that they don't influence the dashboarding stats.
Does that sound like a good idea?

I think we're fine. I'll just make a note about it, in case those numbers for that day don't fit the pattern.

Change 287947 merged by jenkins-bot:
T134512 adding survey banner to wikipedia.org portal.

https://gerrit.wikimedia.org/r/287947

debt added a subscriber: JGirault.EditedMay 10 2016, 10:57 PM

This has been merged into beta: http://www.wikipedia.beta.wmflabs.org/?new#survey-banner and is ready to be deployed tomorrow morning during the normal SWAT window.

Thanks, @JGirault !

debt added a comment.May 11 2016, 6:36 PM

This was launched on May 11, 2016 during morning SWAT.

debt added a comment.May 11 2016, 7:20 PM

We are updating the selection of visitors that the survey is shown to - from 1 in 500 to 1 in 50 - due to only a limited amount of visitors viewing (and not completing) the survey.

Change 288252 had a related patch set uploaded (by Jdrewniak):
T134512 updating survey banner

https://gerrit.wikimedia.org/r/288252

Change 288252 merged by jenkins-bot:
T134512 updating survey banner

https://gerrit.wikimedia.org/r/288252

Change 288258 had a related patch set uploaded (by Jdrewniak):
T134512 updating survey banner on wikipedia.org

https://gerrit.wikimedia.org/r/288258

Change 288315 had a related patch set uploaded (by Jdrewniak):
T134512 bumping portals to master

https://gerrit.wikimedia.org/r/288315

Change 288258 abandoned by Jdrewniak:
T134512 updating survey banner on wikipedia.org

https://gerrit.wikimedia.org/r/288258

Change 288315 merged by jenkins-bot:
T134512 updating survey banner on wikipedia.org

https://gerrit.wikimedia.org/r/288315

debt added a comment.May 11 2016, 11:55 PM

This update went out during evening swat on May 11, 2016

ggellerman added a subscriber: ggellerman.

+ Daisy

debt closed this task as Resolved.May 16 2016, 11:30 PM
debt added a comment.May 16 2016, 11:33 PM

The survey banner looked like this while it was in production:


Change 289152 had a related patch set uploaded (by Jdrewniak):
Removing survey banner

https://gerrit.wikimedia.org/r/289152

Change 289218 had a related patch set uploaded (by Jdrewniak):
T134512 Bumping portals to master. Updating survey banner.

https://gerrit.wikimedia.org/r/289218

Change 289218 merged by jenkins-bot:
T134512 Bumping portals to master. Updating survey banner.

https://gerrit.wikimedia.org/r/289218

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.May 20 2016, 8:59 PM